Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0024025
TypeCategorySeverityReproducibilityDate SubmittedLast Update
defect[Retail Modules] Web POSmajorhave not tried2013-06-07 13:312013-06-20 10:40
ReporteradrianromeroView Statuspublic 
Assigned Toguilleaer 
PrioritynormalResolutionfixedFixed in VersionRMP24
StatusclosedFix in branchpiFixed in SCM revision
ProjectionnoneETAnoneTarget VersionRMP24
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product VersionSCM revision 
Review Assigned Tomarvintm
Regression level
Regression date
Regression introduced in release
Regression introduced by commit
Triggers an Emergency PackNo
Summary

0024025: The preference "Web POS action Edit customers" Only disables the Customers menu

DescriptionThe role preference "Web POS action Edit customers" Only disables the Customers menu, restricting access to window "Customer Advanced Search" but this window can be also accessed from the customers selectors even if the preference is set to "N"
Steps To ReproduceSet the property "Web POS action Edit customers" to "N". Login into Web POS and verify that the menu "Customers" is disabled but tapping on "Advanced search" in the customers selector the window "Customer Advanced Search" is shown.
Proposed SolutionUse the preference "Web POS action Edit customers" to avoid the access from every point to the window "Web POS action Edit customers"
TagsNo tags attached.
Attached Files

- Relationships Relation Graph ] Dependency Graph ]
related to defect 0024026 closedguilleaer There is no preference to prevent customers to be edited or created 

-  Notes
(0059299)
guilleaer (developer)
2013-06-10 15:29

Repository: erp/pmods/org.openbravo.retail.posterminal
Changeset: 3641978dde1d90f5dd3353ce4715c58e699a22c1
Author: Guillermo Alvarez de Eulate <guillermo.alvarez <at> openbravo.com>
Date: Fri Jun 07 17:56:07 2013 +0200
URL: http://code.openbravo.com/erp/pmods/org.openbravo.retail.posterminal/rev/3641978dde1d90f5dd3353ce4715c58e699a22c1 [^] [^]

fixed issue 24024 and 24025: preferences to block acces to customer window and to allow to edit customers are working fine

---
M src-db/database/sourcedata/AD_PREFERENCE.xml
M src-db/database/sourcedata/AD_REF_LIST.xml
M web/org.openbravo.retail.posterminal/js/components/businesspartner.js
M web/org.openbravo.retail.posterminal/js/pointofsale/view/subwindows/customers/customerdetailview.js
M web/org.openbravo.retail.posterminal/js/pointofsale/view/subwindows/customers/customersadvancedsearch.js
---

- Issue History
Date Modified Username Field Change
2013-06-07 13:31 adrianromero New Issue
2013-06-07 13:31 adrianromero Assigned To => guilleaer
2013-06-07 13:35 adrianromero Relationship added related to 0024026
2013-06-10 15:28 guilleaer Note Added: 0059298
2013-06-10 15:29 guilleaer Status new => scheduled
2013-06-10 15:29 guilleaer fix_in_branch => pi
2013-06-10 15:29 guilleaer Note Deleted: 0059298
2013-06-10 15:29 guilleaer Note Added: 0059299
2013-06-10 15:29 guilleaer Status scheduled => resolved
2013-06-10 15:29 guilleaer Fixed in Version => RMP24
2013-06-10 15:29 guilleaer Resolution open => fixed
2013-06-20 10:40 marvintm Review Assigned To => marvintm
2013-06-20 10:40 marvintm Status resolved => closed


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker